---
title: List models available from a provider integration
description: List live models available to a provider integration account that supports model discovery.
breadcrumbs: Docs > API > List models available from a provider integration
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# List models available from a provider integration

## v2 (latest)

{% alert level="warning" %}
**Note**: This endpoint is in Preview and is subject to change.
If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help.md).
{% /alert %}

| Datadog site      | API endpoint                                             |
| ----------------- | -------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/provider-models     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/provider-models |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/provider-models |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/provider-models      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/provider-models |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/provider-models |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/provider-models |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/provider-models      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/provider-models  |

### Overview

List live models available to a provider integration account that supports model discovery.

This endpoint requires the `ai_gateway_config_read` permission.

OAuth apps require the `ai_gateway_config_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#ai-gateway) to access this endpoint.

### Arguments

#### Query Strings

| Field                               | Type   | Description                                                                                                            |
| ----------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------- |
| integration_type [*required*]       | string | Provider integration type.                                                                                             |
| integration_account_id [*required*] | string | Provider integration account ID.                                                                                       |
| project_id                          | string | GCP project ID used for Gemini model discovery. Required for Gemini integrations.                                      |
| location                            | string | Optional GCP location used for Gemini model discovery. Defaults to global.                                             |
| bedrock_region                      | string | AWS region used for Bedrock model discovery. Required for Amazon Bedrock integrations.                                 |
| foundry_resource_id                 | string | ARM resource ID of the Azure AI Foundry resource used for model discovery. Required for Azure AI Foundry integrations. |

### Response

{% tabs %}
{% tab label="200" %}
OK

{% tabs %}
{% tab label="Model" %}
Response containing models discovered from an integration account.

| Parent field | Field                             | Type     | Description                                                                      |
| ------------ | --------------------------------- | -------- | -------------------------------------------------------------------------------- |
|              | data [*required*]                 | [object] |                                                                                  |
| data         | attributes [*required*]           | object   | Model discovered from a provider integration account.                            |
| attributes   | display_name                      | string   | Human-readable model name.                                                       |
| attributes   | model_id_wire [*required*]        | string   | Model identifier sent to the provider.                                           |
| attributes   | supported_operations [*required*] | [string] | Operations supported by the model.                                               |
| data         | id [*required*]                   | string   | Resource identifier.                                                             |
| data         | type [*required*]                 | enum     | Discovered provider model resource type. Allowed enum values: `provider-models`. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "data": [
    {
      "attributes": {
        "display_name": "GPT-5.2 Codex",
        "model_id_wire": "gpt-5.2-codex-20260801",
        "supported_operations": [
          "OPENAI_CHAT_COMPLETIONS"
        ]
      },
      "id": "gpt-5.2-codex",
      "type": "provider-models"
    }
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="400" %}
Bad Request

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}

{% tab label="429" %}
Too many requests

{% tabs %}
{% tab label="Model" %}
API error response.

| Field               | Type     | Description       |
| ------------------- | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |
{% /tab %}

{% tab label="Example" %}
```json
{
  "errors": [
    "Bad Request"
  ]
}
```
{% /tab %}
{% /tabs %}
{% /tab %}
{% /tabs %}

### Code Example

{% tabs %}
{% tab label="Curl" %}
```bash
# Required query arguments
export integration_type="openai"
export integration_account_id="account-123"

# Set your Datadog site and credentials
export DD_SITE="datadoghq.com" # Or us3.datadoghq.com, us5.datadoghq.com, datadoghq.eu, ap1.datadoghq.com, ap2.datadoghq.com, uk1.datadoghq.com, ddog-gov.com, us2.ddog-gov.com
# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

curl -X GET "https://api.${DD_SITE}/api/v2/provider-models?integration_type=${integration_type}&integration_account_id=${integration_account_id}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}"
```
{% /tab %}
{% /tabs %}
